//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

// $Header: fsvolumeinserted.c,r42 2006-02-18 04:23:47 ingo $


#include "fsyspriv.h"

// RETURN FS_OK IF VOLUME IS MOUNTED AND THE CARD IS INSERTED
// RETURN FS_NOCARD IF NO CARD IS INSERTED
// RETURN FS_CHANGED IF VOLUME IS MOUNTED BUT ANOTHER CARD WAS INTRODUCED

int FSVolumeInserted(int VolNumber)
{
int error=FSInit();
if(error!=FS_OK) return error;
if(VolNumber<0 || VolNumber>3) return FS_BADVOLUME;
if(FSystem.Volumes[VolNumber]!=NULL) return FSVolumePresent(FSystem.Volumes[VolNumber]);
return FS_BADVOLUME;

}


