//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file as well as the entire HPG library was written by Chris Smith
//& for HPGCC 1.0, now maintained by the HPGCC3 team.
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



#include <stdlib.h>
#include "hpgraphics.h"
#include "hpgpriv.h"

void hpg_set_mode_gray16(int dbuf)
{
    hpg_init();

    char *plane1;
    char *plane2;

    if (dbuf)
    {
        plane1 = (char *) sys_phys_malloc(6820 * 2);
        plane2 = plane1 + 6820;
    }
    else
    {
        plane2 = plane1 = (char *) sys_phys_malloc(6820);
    }

    // PARAMETERS CHANGED BY CLAUDIO
    _hpg_set_mode(MODE_16GRAY,plane1, plane2,
                _hpg_gray16_draw, _hpg_gray16_get);
}
