//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***


#include <stdlib.h>

// ROMLIB CHECKED

// Simpliest version that works
void *memmove(void *_dest, const void *_source, size_t nbytes)
{
    register char *dest= (char *) _dest;
    register char *source= (char *) _source;
    register int going=(_dest>_source)?(-1):(1);
    if (going==-1)
    {
        dest+=nbytes-1;		// FIXED BUG BY CLAUDIO - Dec, 2005
        source+=nbytes-1;	// FIXED BUG BY CLAUDIO - Dec, 2005
    }

    while(nbytes--) 
    {
        *dest=*source;
        dest+=going;
        source+=going;
    }
    return _dest;
}
