//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



// ROMLIB CHECKED



static void __go_superv(int firstMVA,int lastMVA) __attribute__ ((naked));
static void __go_superv(int firstMVA,int lastMVA)
{
    asm volatile ("stmfd sp!, {r2-r3, lr}");

     // STANDARD CODE FROM HERE

    asm volatile ("mov r2, #0x8000000");
    asm volatile ("add r2, r2, #8");
    asm volatile ("adr r3, ___flush_MVA");
    asm volatile ("swp r3, r3, [r2]");
    asm volatile ("add lr, pc, #0");
    asm volatile ("swi #0");
    asm volatile ("str r3, [r2]");
    asm volatile ("ldmfd sp!, {r2-r3, pc}");

    // REMOVED NOP'S, SEEMS TO WORK FINE 01/09/05
    asm volatile ("___flush_MVA:");
    asm volatile ("stmfd sp!, {r0, r14}");
    asm volatile ("___looplabel:");
    // CLEAN SINGLE ENTRY USING MVA
    asm volatile ("mcr p15, 0, r0, c7, c10, 1");
    // next MVA
    asm volatile ("add r0,r0,#0x20");
    asm volatile ("teq r0,r1");
    asm volatile ("bne ___looplabel");
    asm volatile ("ldmfd sp!, {r0, r14}");
    asm volatile ("movs pc, r14");



}

// FLUSH THE D-CACHE IN A BLOCK OF size BYTES

void cpu_flush_cache(int *ptr,int size)
{
    int firstMVA=(int)ptr;
    int lastMVA=firstMVA+size+32;
    firstMVA&=0xffffffe0;
    lastMVA&=0xffffffe0;
    __go_superv(firstMVA,lastMVA);
}

